/////////////////////////////////////////////////////////////////////////////
// Name:        app.h
// Purpose:     wxWidgets Packager
// Author:      Francesco Montorsi
// Modified by:
// Created:     2006-06-08
// RCS-ID:      $Id: app.h,v 1.1.1.1 2006/12/12 09:38:24 frm Exp $
// Copyright:   (c) Francesco Montorsi
// Licence:     wxWidgets license
/////////////////////////////////////////////////////////////////////////////

#ifndef _APP_H_
#define _APP_H_

#include "wx/app.h"
#include "wx/config.h"
#include "wx/filename.h"
#include "wx/apptrait.h"

// ----------------------------------------------------------------------------
// wxPackagerApp
// ----------------------------------------------------------------------------

class wxPackagerApp : public wxApp
{
public:
    wxPackagerApp();
    virtual ~wxPackagerApp();

        // Operations
    bool OnInit(void);
    int OnExit(void);

    /// Get the main window
    wxPackagerFrame* GetMainFrame();

public:     // directories

    wxString GetDefaultPackageDir() const
        { return m_packageDir; }

    wxString GetAppDir() const
        { return m_appDir; }

protected:
    /// The folder containing this executable.
    wxString m_appDir;

    /// The folder where packages are downloaded.
    wxString m_packageDir;
};

DECLARE_APP(wxPackagerApp)

#endif
  // _APP_H_

